<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE struts-config PUBLIC "-//Apache Software Foundation//DTD Struts Configuration 1.1//EN"
                               "http://jakarta.apache.org/struts/dtds/struts-config_1_1.dtd">
<struts-config>
	<!-- ================= -->
	<!-- == FORMULARIOS == -->
	<!-- ================= -->
	<form-beans>
		<!-- ==================================== -->
		<!-- El formulario principal de la pagina -->
		<!-- ==================================== -->
		<form-bean
				name="w83bFormBusqSindicatos"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="w83bSindicatosBean" type="w83b.w83bBeans.W83bSindicatosBean"/>
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="codSelec" type="java.lang.String"/>	
		</form-bean>
		<form-bean
				name="w83bFormNuevoSindicatos"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83bSindicatosNuevoBean" type="w83b.w83bBeans.W83bSindicatosBean"/>
				<form-property name="w83bmunicipioImpug" type="java.lang.String" />
		</form-bean>
		<!-- =========== -->
		<!-- El contexto -->
		<!-- =========== -->
		<form-bean
				name="contextoOP"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70ContextoOperacionDePresentacion">
				<form-property name="inyectarUsuarioEnBean" type="java.lang.String" initial="w83bFormBusqSindicatos[w83bSindicatosBean],w83bFormNuevoSindicatos[w83bSindicatosNuevoBean]"/>	
				<form-property name="strTitleKeyPpal" type="java.lang.String" initial="comun.menu.mantenimientos.sindicatos"/>
				<form-property name="strTitleKey" type="java.lang.String" initial="comun.sindicatos.filtro"/>			   
				<form-property name="migas" type="java.lang.String" initial ="inicio.mantenimiento.sindicato"/>
				<form-property name="w83bSindicatosBean" type="w83b.w83bBeans.W83bSindicatosBean"/>
				<form-property name="action" type="java.lang.String" initial="B"/>
				<form-property name="modoPantalla" type="java.lang.String" initial="B"/>
				<form-property name="w83bListaSindicatos" type="java.util.List"/>	
				<form-property name="w83bSindicatosTempBean" type="w83b.w83bBeans.W83bSindicatosBean"/>		
				<form-property name="busqRealizada" type="java.lang.String" initial="false"/>	
				<form-property name="w83bListaCod" type="java.util.List"/>		
				<form-property name="w83bSindicatosNuevoBean" type="w83b.w83bBeans.W83bSindicatosBean"/>
				<form-property name="boton" type="java.lang.String"/>
				<form-property name="codSelec" type="java.lang.String"/>	
				<form-property name="subOpFlag" type="java.lang.String" initial="convenios"/>
				<form-property name="w83bResultado" type="java.lang.String"/>
				<form-property name="w83bSindicatosNuevoBeanSalida" type="w83b.w83bBeans.W83bSindicatosBean"/>
				<form-property name="w83bSindicatosNuevoTempBean" type="w83b.w83bBeans.W83bSindicatosBean"/>
				<form-property name="w83bprovinciaImpug" type="java.lang.String"/>	
		</form-bean>
	</form-beans>
	<!-- ============== -->
	<!-- == ACCIONES == -->
	<!-- ============== -->
	<action-mappings type="es.ejie.frmk.presentacion.base.Q70PasosOPMapping">
   		<!-- =============== -->
		<!-- Mostrar paginas -->
		<!-- =============== -->
		<action
				path ="/w83bInicioBusquedaSindicatosMenu" forward="paginaSindicatosMenu"/>
		<action
				path ="/w83bInicioAnyadirSindicatosMenu" forward="paginaAnyadirSindicatosMenu"/>
		
		<!-- ======== -->
		<!-- Entradas -->
		<!-- ======== -->
		
		<!-- =============== -->
		<!-- Dispatch menus -->
		<!-- =============== -->
			<action
				path="/w83bDispatch"
				name="w83bFormBusqSindicatos"
				scope="request"
				validate="false"
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.buscar"
					path="/w83bBusqConvenios.do"/>
				<forward
					name="comun.boton.anyadir"
					path="/w83bTablaSindicatosIraNuevo.do"/>
				<forward
					name="comun.boton.editar"
					path="/w83bTablaSindicatosDetalle.do"/>
				<forward
					name="comun.boton.borrar"
					path="/w83bTablaSindicatosBorrar.do"/>
				<forward
					name="comun.boton.exportaraExcel"
					path="/w83bTablaSindicatosExcel.do"/>
				<forward
					name="comun.boton.atras"
					path="/w83bAtrasSindicatosBusq.do"/>
				<forward
					name="comun.boton.consultar"
					path="/w83bTablaSindicatosDetalle.do"/>
		</action>
			<action
				path="/w83bDispatchNuevo"
				name="w83bFormNuevoSindicatos"
				scope="request"
				validate="false"
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.guardar"
					path="/w83bMovimientoSindicatos.do"/>
				<forward
					name="comun.boton.atras"
					path="/w83bTablaSindicatosAtrasNuevoEdicion.do"/>
		</action>
		
		<action path="/w83bTablaSindicatosOP" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bSindicatos.W83bTablaSindicatosOPAction" 
			 validate="false">
			<forward name="find" path="/w83bBusqSindicatos.do"/>
			<forward name="ok" path="/w83bTablaSindicatosOutOP.do"/>
			<forward name="outOP" path="/w83bTablaSindicatosOutOP.do"/>
			<forward name="error" path="/w83bInicioBusquedaSindicatosMenu.do"/>
		</action>
		
		<action path="/w83bTablaSindicatosOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bSindicatos.W83bTablaSindicatosOutOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioBusquedaSindicatosMenu.do"/>
			<forward name="error" path="/w83bInicioBusquedaSindicatosMenu.do"/>
		</action>
		
		<action path="/w83bTablaSindicatosExcel" 
		name="w83bFormBusqSindicatos" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bSindicatos.W83bTablaSindicatosExcelAction" 
			 validate="false">
		</action>		
		
		<!-- =============== -->
		<!-- Fin Dispatch menus -->
		<!-- =============== -->
		
		<!-- Operaciones de Paso -->
		<action path ="/w83bBusqSindicatos" 
			 parameter="w83bBusqSindicatosOI" 
			 validate="false" 
			 input="/w83bInicioBusquedaSindicatosMenu.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bTablaSindicatosOutOP.do" />
					<forward name="error" path="/w83bInicioBusquedaSindicatosMenu.do" />
		</action>
		<action path="/w83bTablaSindicatosBorrarOP" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bSindicatos.W83bTablaSindicatosBorrarOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bTablaSindicatosBorrar.do"/>
			<forward name="error" path="/w83bInicioBusquedaSindicatosMenu.do"/>
		</action>
		<action path ="/w83bTablaSindicatosBorrar" 
			 parameter="w83bBorrarSindicatosOI" 
			 validate="false"
			 input="/w83bInicioBusquedaSindicatosMenu.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bSindicatosComprobarAsociacionOutOP.do" />
					<forward name="error" path="/w83bInicioAnyadirSindicatosMenu" />
		</action>
		<action path="/w83bSindicatosComprobarAsociacionOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bSindicatos.W83bSindicatosComprobarAsociacionOutOPAction" 
			 validate="false">
		</action>
		<action path="/w83bTablaSindicatosIraNuevo" 
		name="w83bFormBusqSindicatos" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bSindicatos.W83bTablaSindicatosIraNuevoAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioAnyadirSindicatosMenu.do"/>
			<forward name="error" path="/w83bInicioBusquedaSindicatosMenu.do"/>
		</action>
		<action path ="/w83bMovimientoSindicatos" 
			 parameter="w83bMovimientoSindicatosOI" 
			 validate="true" name="w83bFormNuevoSindicatos" 
			 input="/w83bInicioAnyadirSindicatosMenu.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bInicioAnyadirSindicatosMenu.do" />
					<forward name="error" path="/w83bInicioAnyadirSindicatosMenu.do" />
		</action>
		<action path ="/w83bTablaSindicatosDetalle" 
			 parameter="w83bDetalleSindicatosOI" 
			 validate="false" 
			 input="/w83bInicioBusquedaSindicatosMenu.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bInicioAnyadirSindicatosMenu.do" />
					<forward name="error" path="/w83bInicioAnyadirSindicatosMenu.do" />
		</action>
		<action path="/w83bTablaSindicatosAtrasNuevoEdicion" 
			name="w83bFormBusqSindicatos" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bSindicatos.W83bTablaSindicatosAtrasNuevoEdicionAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioBusquedaSindicatosMenu.do"/>
			<forward name="error" path="/w83bInicioAnyadirSindicatosMenu.do"/>
		</action>
			<action path="/w83bAtrasSindicatosBusq" 
		type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/comunJSP/w83bPaginaBienvenida.do">
		</action> 
		<!-- Fin Operaciones Internas -->	
		<!-- SUB-OPERACIONES -->
		
		
	</action-mappings>

	<!-- Procesador de Operacion de Presentacion -->
	<controller processorClass="es.ejie.frmk.presentacion.operacion.Q70ProcesadorTilesOperacionDePresentacion" />
	<!-- Datos de Operacion de Presentacion -->
	
	<!-- Validaciones Genericas -->
	<plug-in className="es.ejie.frmk.presentacion.validacion.Q70ValidacionesGenericasPlugIn">
		<set-property property="pathnames" value="/WEB-INF/validators-config/validator-rules-w83b.xml,
											/WEB-INF/validators-config/mantenimientos/validation-sindicatos.xml"/>
	    <set-property property="i18nKey" value="w83bcomun" />
	</plug-in>

	<!-- Menus -->	
</struts-config>